import { ConditionUtil, FieldUtil, TableUtilImpl, IdType, SubTable } from 'model-util';
import { BusCouponConfig } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-10-19 17:45
 */
interface BusCouponConfigCU extends ConditionUtil<BusCouponConfigCU> {
    ID: FieldUtil<BusCouponConfigCU>;
    COUPON_NAME: FieldUtil<BusCouponConfigCU>;
    COUPON_CATEGORY: FieldUtil<BusCouponConfigCU>;
    DISCOUNT: FieldUtil<BusCouponConfigCU>;
    MAX_DISCOUNT_AMOUNT: FieldUtil<BusCouponConfigCU>;
    COUPON_TOTAL_COUNT: FieldUtil<BusCouponConfigCU>;
    COUPON_MONTH_LIMIT: FieldUtil<BusCouponConfigCU>;
    COUPON_COUNT: FieldUtil<BusCouponConfigCU>;
    DESCRIPTION: FieldUtil<BusCouponConfigCU>;
    BEGIN_DATE: FieldUtil<BusCouponConfigCU>;
    END_DATE: FieldUtil<BusCouponConfigCU>;
    BEGIN_GET_DATE: FieldUtil<BusCouponConfigCU>;
    END_GET_DATE: FieldUtil<BusCouponConfigCU>;
    STATUS: FieldUtil<BusCouponConfigCU>;
    SLOGAN: FieldUtil<BusCouponConfigCU>;
    EXPENSE_SUBJECT: FieldUtil<BusCouponConfigCU>;
    GOOD_TAGS_PREFIX: FieldUtil<BusCouponConfigCU>;
    MONEY_FIELD: FieldUtil<BusCouponConfigCU>;
    MIN_PAY_AMOUNT: FieldUtil<BusCouponConfigCU>;
    ENABLE_AMOUNT: FieldUtil<BusCouponConfigCU>;
    PC_CONFIG_ID: FieldUtil<BusCouponConfigCU>;
    RULE_ID: FieldUtil<BusCouponConfigCU>;
    PAY_METHOD_RULE_ID: FieldUtil<BusCouponConfigCU>;
    SECOND_PC_CONFIG_ID: FieldUtil<BusCouponConfigCU>;
    SECOND_RULE_ID: FieldUtil<BusCouponConfigCU>;
    TYPE_CODE: FieldUtil<BusCouponConfigCU>;
    COUPON_BELONG: FieldUtil<BusCouponConfigCU>;
    COUPON_ICON: FieldUtil<BusCouponConfigCU>;
    COUPON_REMARK: FieldUtil<BusCouponConfigCU>;
    COUPON_VALID_DAYS: FieldUtil<BusCouponConfigCU>;
    USE_LIMIT: FieldUtil<BusCouponConfigCU>;
    REMARK: FieldUtil<BusCouponConfigCU>;
    OPERATOR: FieldUtil<BusCouponConfigCU>;
    CREATE_TIME: FieldUtil<BusCouponConfigCU>;
    UPDATE_TIME: FieldUtil<BusCouponConfigCU>;
    DISCOUNTS_TYPE: FieldUtil<BusCouponConfigCU>;
}
declare class BusCouponConfigMU extends TableUtilImpl<BusCouponConfigCU, BusCouponConfig> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: SubTable[];
    createConditionUtil(): BusCouponConfigCU;
    static get ID(): FieldUtil<BusCouponConfigCU>;
    static get COUPON_NAME(): FieldUtil<BusCouponConfigCU>;
    static get COUPON_CATEGORY(): FieldUtil<BusCouponConfigCU>;
    static get DISCOUNT(): FieldUtil<BusCouponConfigCU>;
    static get MAX_DISCOUNT_AMOUNT(): FieldUtil<BusCouponConfigCU>;
    static get COUPON_TOTAL_COUNT(): FieldUtil<BusCouponConfigCU>;
    static get COUPON_MONTH_LIMIT(): FieldUtil<BusCouponConfigCU>;
    static get COUPON_COUNT(): FieldUtil<BusCouponConfigCU>;
    static get DESCRIPTION(): FieldUtil<BusCouponConfigCU>;
    static get BEGIN_DATE(): FieldUtil<BusCouponConfigCU>;
    static get END_DATE(): FieldUtil<BusCouponConfigCU>;
    static get BEGIN_GET_DATE(): FieldUtil<BusCouponConfigCU>;
    static get END_GET_DATE(): FieldUtil<BusCouponConfigCU>;
    static get STATUS(): FieldUtil<BusCouponConfigCU>;
    static get SLOGAN(): FieldUtil<BusCouponConfigCU>;
    static get EXPENSE_SUBJECT(): FieldUtil<BusCouponConfigCU>;
    static get GOOD_TAGS_PREFIX(): FieldUtil<BusCouponConfigCU>;
    static get MONEY_FIELD(): FieldUtil<BusCouponConfigCU>;
    static get MIN_PAY_AMOUNT(): FieldUtil<BusCouponConfigCU>;
    static get ENABLE_AMOUNT(): FieldUtil<BusCouponConfigCU>;
    static get PC_CONFIG_ID(): FieldUtil<BusCouponConfigCU>;
    static get RULE_ID(): FieldUtil<BusCouponConfigCU>;
    static get PAY_METHOD_RULE_ID(): FieldUtil<BusCouponConfigCU>;
    static get SECOND_PC_CONFIG_ID(): FieldUtil<BusCouponConfigCU>;
    static get SECOND_RULE_ID(): FieldUtil<BusCouponConfigCU>;
    static get TYPE_CODE(): FieldUtil<BusCouponConfigCU>;
    static get COUPON_BELONG(): FieldUtil<BusCouponConfigCU>;
    static get COUPON_ICON(): FieldUtil<BusCouponConfigCU>;
    static get COUPON_REMARK(): FieldUtil<BusCouponConfigCU>;
    static get COUPON_VALID_DAYS(): FieldUtil<BusCouponConfigCU>;
    static get USE_LIMIT(): FieldUtil<BusCouponConfigCU>;
    static get REMARK(): FieldUtil<BusCouponConfigCU>;
    static get OPERATOR(): FieldUtil<BusCouponConfigCU>;
    static get CREATE_TIME(): FieldUtil<BusCouponConfigCU>;
    static get UPDATE_TIME(): FieldUtil<BusCouponConfigCU>;
    static get DISCOUNTS_TYPE(): FieldUtil<BusCouponConfigCU>;
    get ID(): FieldUtil<BusCouponConfigCU>;
    get COUPON_NAME(): FieldUtil<BusCouponConfigCU>;
    get COUPON_CATEGORY(): FieldUtil<BusCouponConfigCU>;
    get DISCOUNT(): FieldUtil<BusCouponConfigCU>;
    get MAX_DISCOUNT_AMOUNT(): FieldUtil<BusCouponConfigCU>;
    get COUPON_TOTAL_COUNT(): FieldUtil<BusCouponConfigCU>;
    get COUPON_MONTH_LIMIT(): FieldUtil<BusCouponConfigCU>;
    get COUPON_COUNT(): FieldUtil<BusCouponConfigCU>;
    get DESCRIPTION(): FieldUtil<BusCouponConfigCU>;
    get BEGIN_DATE(): FieldUtil<BusCouponConfigCU>;
    get END_DATE(): FieldUtil<BusCouponConfigCU>;
    get BEGIN_GET_DATE(): FieldUtil<BusCouponConfigCU>;
    get END_GET_DATE(): FieldUtil<BusCouponConfigCU>;
    get STATUS(): FieldUtil<BusCouponConfigCU>;
    get SLOGAN(): FieldUtil<BusCouponConfigCU>;
    get EXPENSE_SUBJECT(): FieldUtil<BusCouponConfigCU>;
    get GOOD_TAGS_PREFIX(): FieldUtil<BusCouponConfigCU>;
    get MONEY_FIELD(): FieldUtil<BusCouponConfigCU>;
    get MIN_PAY_AMOUNT(): FieldUtil<BusCouponConfigCU>;
    get ENABLE_AMOUNT(): FieldUtil<BusCouponConfigCU>;
    get PC_CONFIG_ID(): FieldUtil<BusCouponConfigCU>;
    get RULE_ID(): FieldUtil<BusCouponConfigCU>;
    get PAY_METHOD_RULE_ID(): FieldUtil<BusCouponConfigCU>;
    get SECOND_PC_CONFIG_ID(): FieldUtil<BusCouponConfigCU>;
    get SECOND_RULE_ID(): FieldUtil<BusCouponConfigCU>;
    get TYPE_CODE(): FieldUtil<BusCouponConfigCU>;
    get COUPON_BELONG(): FieldUtil<BusCouponConfigCU>;
    get COUPON_ICON(): FieldUtil<BusCouponConfigCU>;
    get COUPON_REMARK(): FieldUtil<BusCouponConfigCU>;
    get COUPON_VALID_DAYS(): FieldUtil<BusCouponConfigCU>;
    get USE_LIMIT(): FieldUtil<BusCouponConfigCU>;
    get REMARK(): FieldUtil<BusCouponConfigCU>;
    get OPERATOR(): FieldUtil<BusCouponConfigCU>;
    get CREATE_TIME(): FieldUtil<BusCouponConfigCU>;
    get UPDATE_TIME(): FieldUtil<BusCouponConfigCU>;
    get DISCOUNTS_TYPE(): FieldUtil<BusCouponConfigCU>;
}
export { BusCouponConfigMU, BusCouponConfigCU };
